LWJGL Forum

Please login or register.

Login with username, password and session length

Author Topic: Setting up FMOD to use with LWJGL.  (Read 6031 times)

Overkill

  • Newbie
  • *
  • Offline Offline
  • Posts: 9
Setting up FMOD to use with LWJGL.
« on: May 28, 2006, 01:13:54 »

Well, I have to say, this has been one fun adventure in order to get LWJGL up and working with Eclipse 3.1. It would have been a lot easier, were the documentation and installation steps a lot more clear.

If you're curious, one of the main reasons I chose LWJGL is because it has FMOD support. However, it seems, even with fmod.dll in my working directory and placing it in the natives directory for the LWJGL package, I still receive this generic error:

Code: [Select]
Exception in thread "main" org.lwjgl.fmod3.FMODException: Unable to load fmod library
at org.lwjgl.fmod3.FMOD.create(FMOD.java:263)
at game.Main.main(Main.java:20)


I'll admit it though, I just pasted fmod.dll from another engine. And that version of fmod's been used since early 2004. If this solves the problem by simply updating the fmod.dll in use, rockin', I'll check. Otherwise, any suggestions?

EDIT: Nevermind, I guess I just needed a more up-to-date DLL file. 3.75 works fine and very fine. Rad.
Logged